Bug 12448 - rpm needs to say which rpms output was generated by
rpm needs to say which rpms output was generated by
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-06-18 16:34 EDT by Jonathan Kamens
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-10 12:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2000-06-18 16:34:35 EDT
I just upgrades a huge number of packages downloaded off the Web with "rpm
-U *.rpm".  I got all kinds of errors from the upgrades.  Unfortunately,
rpm doesn't tag output from installations with the package which generated
the output, so I had a good time playing guessing games and reinstalling
the suspicious RPMs one by one until I found the ones that generated the

All of the error messages printed by rpm should include the name of the RPM
file which caused the error to be generated.  Furthermore, any output
generated by the scripts run during an RPM installation or uninstallation
needs to be tagged in some way by rpm to show which install / uninstall
generated the output.

I was using rpm-3.0.4-0.48, although I doubt that this problem is fixed in
rpm-4.0 (although I believe it should be fixed before the next release).
Comment 1 Jeff Johnson 2000-07-09 12:12:39 EDT
There only 2 error messages, both pathological, on the dependency resolution and
transaction set
install that do not identify what package was involved . There are of course
other errors. Can
you supply details of what errors you are referring to?
Comment 2 Jonathan Kamens 2000-07-10 12:54:22 EDT
Well, for one, see the "execution of script failed" error I got that is
described in bug 12449.

Besides that, as I noted in my bug report, I am also concerned about all of the
output generated by the external scripts called by rpm during an installation,
uninstallation or upgrade.  These scripts' output needs to be somehow tagged by
rpm so that it is clear which package it came from.
Comment 3 Jeff Johnson 2000-07-10 14:37:30 EDT
Ah, yes. Thanks for the suggestion, fixed in both rpm-3.0.5-0.7/rpm-4.0-0.48.
Please reopen
this bug if there are other places that better error messages are needed.

The messages from installs will be fixed before Red Hat 7.0. It's an obvious and
loud problem
(and with a more informative error message, it';s now even easier to fix :-)

Note You need to log in before you can comment on or make changes to this bug.